%define name    tamsyn-font
%define version 1.6
%define release %mkrel 1
%define summary Fixed width font especially for long hacking sessions

%define fontdir %_datadir/fonts/tamsyn
%define consolefontdir %_libdir/kbd/consolefonts

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          System/Fonts/X11 bitmap
URL:            http://www.fial.com/~scott/tamsyn-font/
Source0:        %name-%version.tar.xz
BuildRoot:      %_tmppath/%name-buildroot
BuildRequires:  perl XFree86-devel mkfontdir bdftopcf
Requires:       XFree86
Requires(post):         chkfontpath
Requires(postun):         chkfontpath
Buildarch:      noarch
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
The Tamsyn font is a complete set of fixed-size fonts designed
especially for the usage in terms and the console.


%prep
%setup -q


%build


%install
%__rm -rf              %buildroot
%__install       -d %buildroot%consolefontdir
%__install *.psf.gz %buildroot%consolefontdir
%__install       -d %buildroot%fontdir
%__install *.pcf.gz %buildroot%fontdir
cd                  %buildroot%fontdir
%_bindir/mkfontdir
%__sed -e 's/.pcf.gz//' fonts.dir|%__grep tamsyn > fonts.alias


%post
umask 133
/usr/sbin/chkfontpath -q -a %{fontdir}
if pidof xfs &> /dev/null; then
   /sbin/service xfs restart
else
   echo "rpm: I won't restart xfs because it isn't running."
fi

%postun
if [ $1 -eq 0 ]; then
    umask 133
    /usr/sbin/chkfontpath -q -r %{fontdir}
fi
if pidof xfs &> /dev/null; then
   /sbin/service xfs restart
else
   echo "rpm: I won't restart xfs because it isn't running."
fi


%clean
%__rm -rf %buildroot


%files
%defattr(0644,root,root,0755)
%fontdir/*
%dir %fontdir
%consolefontdir/*
%dir %consolefontdir


%changelog
* Mon Jul 11 2011 Texstar <texstar at gmail.com> 1.6-1pclos2011
- create package for hootie

